cURL
curl --request PATCH \
--url https://api.useanima.sh/v1/extension/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"preApprovedAgentIds": [
"<string>"
]
}
'import requests
url = "https://api.useanima.sh/v1/extension/settings"
payload = { "preApprovedAgentIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({preApprovedAgentIds: ['<string>']})
};
fetch('https://api.useanima.sh/v1/extension/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authPolicy": "session",
"tokenTtl": "session",
"preApprovedAgentIds": []
}API Reference
Patch extensionsettings
PATCH
/
extension
/
settings
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Body
application/json
Response
200 - application/json
OK
Current extension auth settings
Auth policy for extension connections
Available options:
session, pre_approved, prompt_owner How long extension auth tokens remain valid
Available options:
15m, 1h, session Agent IDs allowed to silently authenticate (only used with pre_approved policy)
⌘I
